remove kinsis / unused input settings
[distro-setup] / mount-latest-remote
index b67a46081886927012e47c74254835208cbbdc1d..406a1e9f00378fef78f02c92fcf6c935f02e57cf 100755 (executable)
@@ -1,4 +1,17 @@
 #!/bin/bash
+# Copyright (C) 2016 Ian Kelling
+
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+
+#     http://www.apache.org/licenses/LICENSE-2.0
+
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
 
 set -eE -o pipefail
 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
@@ -9,13 +22,19 @@ if [[ ! $@ ]]; then
     echo "mount-latest-remote: error: expected 1 or more host arguments"
     exit 1
 fi
+ret=0
 
 for tg; do
     scp $script_dir/{mount-latest-subvol,check-subvol-stale} \
         root@$tg:/usr/local/bin
-    ssh root@$tg bash <<'EOF'
+    if ! ssh root@$tg bash <<'EOF'
 set -e
 chmod +x /usr/local/bin/{mount-latest-subvol,check-subvol-stale}
-mount-latest-subvol
+/usr/local/bin/mount-latest-subvol
 EOF
+    then
+        echo "$0: warning: failed mount-latest-subvol on $tg"
+        ret=1
+    fi
 done
+exit $ret